/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */

/* CUSTOM CSS */
html, body {overflow-x: hidden;}
a{
	text-decoration:none !important;
}
/* common button css */
.common-btn svg path {transition: all .4s ease;}
.common-btn:hover svg path {stroke: #e1d3c4;}
.elementor-button .icon-right-arrow {transform:rotate(-40deg);}
.elementor-swiper-button {
	width:50px;
	height:50px;
	display:flex;
	justify-content:center;
	align-items:center;
}

@media (max-width: 767px) {
	.elementor-swiper-button {width: 35px;height: 35px;}
}


.she-header #hamburgerIcon svg path {stroke: #453536;}
.she-header svg path {stroke: #453536 !important;}
.she-header .logo-widget h2, .she-header .logo-widget h2 span {color: #453536 !important;}
.she-header .elementor-widget-elementskit-header-search a {color: #453536 !important;}
.ekit-vertical-navbar-nav {box-shadow: none !important;}
/* header sticky on scroll up css end */
/* all small heading css */
.custom-heading .elementor-icon-list-item .elementor-icon-list-text{transition:1s ease !important;}
.custom-heading .elementor-icon-list-item:hover .elementor-icon-list-text{margin-left:10px;}

/* megamenu css */
.mega-menu-box, .menu-overlay {transition: top 0.35s ease;}
.logo-header.mega-open {background: #fff !important;transition: background 0.3s ease;}
.logo-header.mega-open i {color:#453536;}
.logo-header.mega-open .elementskit-section-title-wraper .elementskit-section-title, .logo-header.mega-open .elementskit-section-title-wraper .elementskit-section-title span {color:#453536 !important;}
.mega-menu-box {
    display: none;
    position: fixed;    
    top:165px;
    left: 0;
    width: 100%;
    z-index: 9999;
    background: #fff;
    box-shadow: 0 10px 30px rgba(0,0,0,0.1);
}
.menu-overlay {
    position: fixed;
    top: 165px;
    left: 0;
    width: 100%;
    height: 100vh;
    background: rgba(0,0,0,0.55);
    z-index: 9990;
    display: none;
}
.elementskit-submenu-panel {position:relative !important;left:0 !important;display:none !important;box-shadow: none !important;}
.menu-item:hover .elementskit-submenu-panel {display:block !important;}
.menu-item .elementskit-submenu-panel a {padding:5px 0 !important;}
.menu-item .elementskit-submenu-panel a:hover, .menu-item .elementskit-submenu-panel a:focus {background-color: transparent;}
.menu-item .ekit-submenu-indicator-icon {display:none !important;}
.megamenu-carousel .swiper-slide .elementor-widget-image:hover img {opacity: .6;}

/* mobile menu css */
.mobile-header .hfe-sub-menu-item{
	justify-content:start !important;
}
.mobile-header .hfe-sub-menu-item img{
	width:45px !important;
}

/* ---best seller section css start---- */
/* our best sellers section css */
.card-wrapper, .card-media, .card-media img, .card-content {transition: all .5s;}
.card-wrapper {overflow: hidden !important;}
.hover-image-wrapper:hover .ekit-btn-wraper {opacity: 1;visibility: visible;transform: translateY(0px);}
.hover-image-wrapper {position: relative;display: inline-block;}
.hover-image-wrapper img {width: 100%;height: auto;display: block;}
.hover-img {
    position: absolute;
    top: 0;
    left: 0;
    opacity: 0;
    transition: 0.9s ease !important;
    pointer-events: none; 
}
.hover-image-wrapper:hover .hover-img {opacity: 1;}
.bestseller-carousel .elementor-swiper-button-prev {display:none !important;}
.bestseller-carousel .swiper {padding-right:100px;}

@media (min-width: 768px) {
	.card-wrapper:hover {border-radius: 35px 35px 0 0;}
	.card-wrapper:hover .card-media img {transform: translateY(-40px);}
	.hover-image-wrapper .ekit-btn-wraper {opacity: 0;visibility: hidden;transform: translateY(40px); transition: all .5s !important;}
	.hover-image-wrapper:hover .card-content {transform:translatey(-40px) !important;}
	.hover-image-wrapper:hover .default-img {opacity: 0;transition: 0.9s ease !important;}
}
@media (max-width: 767px) {
	.hover-img {display: none;}
	.bestseller-carousel .swiper {padding-right: 25px;}
	.elementor-slides .swiper-slide-inner .elementor-slide-heading{
		margin:0 !important;
	}
	.defined-eyebrows-section .elementor-widget-image img{
		position:relative;
		top:0;
	}
	.defined-eyebrows-section .elementor-widget-image{
		transform: none !important;
	}
	.about-us-section{
		min-height:auto;
	}
	#SR7_1_1-1-4 svg{
		width:10px !important;
	}
}
@media (max-width: 575px){
	#SR7_1_1-1-4 svg{
		width:5px !important;
	}
	sr7-btn#SR7_1_1-1-4{
	padding: 5px 0px 14px !important;
	}
}
@media (max-width: 400px){
	sr7-btn#SR7_1_1-1-4{
	padding: 5px 0px 14px !important;
	}
}
/* ---best seller section css end---- */
/* topbar css */
.topbar-content .swiper-slide-inner{
	display:flex;
	justify-content:center;
	padding-top:7px;
}
/* why we love it section css  */
 .position-set-title .elementor-heading-title{
	display:flex !important;
	flex-direction:column !important;
}
#SR7_1_1-1-1, #SR7_1_1-1-0{
	font-family:"Texta Alt", Sans-serif !important;
}
#SR7_1_1-1-3{
	font-family:"Black Mango", Sans-serif !important;
}
#SR7_1_1-1-4{
	font-family:"Texta Alt", Sans-serif !important;
}
#SR7_1_1-1-4 svg{
	margin-top: -3px;
    margin-left: 5px;
}
#SR7_1_1-1-4:hover svg path{
	stroke:#453536;
}
sr7-btn#SR7_1_1-1-4{
	border-width:1px !important;
}


/* blog section css */
.blog-section .learn-carousel .swiper-slide:hover .elementor-widget-image{border-radius: 35px 35px 0 0;overflow: hidden;transition: .5s;}

/* discover collection section css */
.as-slider .swiper-slide-active, .as-slider .swiper-slide-active img {height: 100% !important;}
.as-slider .swiper-slide-active .elementor-testimonial__name {font-size: 24px !important;}

/* our communitiy video section css */
.community-video .e-hosted-video {--video-aspect-ratio: 430/658 !important; }
.loveit-video .e-hosted-video {--video-aspect-ratio: 500/658 !important; }
.packaging-sec-video .e-hosted-video {--video-aspect-ratio: 520/658 !important; }
.loveit-section {overflow:hidden !important;}

/* home page css */
/* Our Brow Makeup section css */
.text-rotate{
  	--items: 4;     
  	--duration: 5s;  
  	--height: 50px;  
  	position: relative;
  	height: var(--height);
  	overflow: hidden;
  	display: flex;
  	text-align: left;
  	font-size: 40px;
  	font-weight: 300;
  	font-family: "black mango", Sans-serif;
}
.text-rotate span{
  	position: absolute;
  	inset: 0 0 0 0;         
  	height: var(--height);
  	line-height: var(--height);
  	display: flex;
  	opacity: 0;
  	transform: translateY(100%);
  	animation-name: slideUpFade;
  	animation-duration: var(--duration);
  	animation-timing-function: ease-in-out;
  	animation-iteration-count: infinite;
  	animation-delay: calc((var(--i) - 1) * (var(--duration) / var(--items)));
  	backface-visibility: hidden;
  	-webkit-font-smoothing: antialiased;
  	border-bottom:1px solid #453536;
  	color:#453536;
  	width:fit-content;
}
@keyframes slideUpFade {
  	0%   { opacity: 0; transform: translateY(100%); }
  	6%   { opacity: 1; transform: translateY(0%); }
  	25%  { opacity: 1; transform: translateY(0%); }
  	31%  { opacity: 0; transform: translateY(-100%); }
  	100% { opacity: 0; transform: translateY(-100%); }
}
/* show character section image css */
.elementor-element-e3a56fe img{
	position: absolute;
    left: 50%;
    transform: translateX(-50%);
	top:150px;
}

/* ========================== CONTACT PAGE CSS =========================== */
.contact-form .row {display: flex; flex-wrap: wrap;margin-right: -15px;margin-left: -15px;}
.contact-form .row .col-md-12, .contact-form .row .col-md-6 {position: relative;width: 100%;padding-right: 15px;padding-left: 15px;}
.contact-form .row .col-md-12 label {width: 100%;}
.contact-form input:focus, .contact-form textarea:focus-visible {outline: none !important;}
.wpcf7-recaptcha div:first-child{
	margin-bottom:20px !important;
}
@media (min-width: 576px) {.contact-form .row .col-md-6 {flex: 0 0 50%;max-width: 50%;}
}

/* footer section css */
.elementor-icon-list-items{list-style:none;padding:0 !important;}
.footer-section .elementor-icon-list-text:hover{text-decoration:underline;text-underline-offset:0.4rem;}
.copyright-text a:hover{text-decoration:underline;text-underline-offset:0.4rem;}

.character-widget .elementor-widget-image {position: absolute;top: -10%;}

/* discover sec css */
.slider-component {width: 100%;display: flex;gap: 23px;}
.slider-component-left {max-width: 40%;}
.slider-component-right {position: relative;max-width: 60%;display: flex;flex-direction: column;justify-content: space-between;}
.collection_list {position: relative;}
.collection_list .card_media {object-fit: cover;object-position: center center;}
.collection_list .card_content {font-size: 22px;text-transform: uppercase;font-family: "texta alt", Sans-serif;padding-top: 15px;font-weight: 500;letter-spacing: 0.6px;}
.collection_list .card_content a {color: #453536;text-decoration: none;}
.collection_list:hover img {opacity: 0.7;}
.our-collections-desc-slider {margin-bottom: 80px;max-width: 65%;}
.our-collections-desc-slider .slick-track {display: flex;align-items: flex-end;}
.our-collections-desc-slider .slick-slide {word-wrap: break-word !important;}
.our-collections-nav-slider {position: inherit !important;}
.our-collections-nav-slider .card_content {font-size: 18px;}
.collection_list .redirect-arrow {
   position: absolute;
   right: 20px;
   top: 26px;
   z-index: 9;
   width: 42px;
   height: 42px;
   display: flex;
   align-items: center;
   justify-content: center;
   background: #fef5f3;
   border-radius: 50%;
}
.our-collections-desc-slider div p {font-size: 24px;color: #453536;font-family: "texta alt", Sans-serif;line-height: 1.2;margin-bottom:0;}
.nav-slider img {width: 100%;max-height: 350px;object-fit: cover;object-position: center center;}

.nav-slider .slick-list {
	padding-right: 80px !important;   
	padding-left: 0px !important;	  
}
/* contact form css */
.hidden-fields-container{
	display:none;
}

/* define eyebrow css */
.slide-left-define_eyebrows,
.slide-right-define_eyebrows {
    opacity: 0;
    transition: transform 0.8s ease, opacity 0.8s ease;
}
.slide-left-define_eyebrows {
    transform: translateX(-100px);
}
.slide-right-define_eyebrows {
    transform: translateX(100px);
}
.animate-define_eyebrows {
    opacity: 1;
    transform: translateX(0);
}

/* Nav Slider gap */
.nav-slider .slick-slide {margin-right: 22px;}   /* gap size adjust here */
.nav-slider .slick-next {
	background: #fef5f3;
	width: 52px;
	height: 52px;
	display: flex;
	justify-content: center;
	align-items: center;
	bottom: 85px;
	right: 60px;
	top: auto;
	left: auto;
	transform: none;
	border-radius: 50%;
}
.nav-slider .slick-next::before {content: none;}

@media (max-width: 768px) {
	.nav-slider .slick-list {padding-right: 40px !important;}
	.nav-slider .slick-slide {margin-right: 10px;}
	.slider-component-left {display: none;}
	.slider-component-right {max-width: 100%;}
	.our-collections-nav-slider {position: unset !important;}
	.our-collections-nav-slider .card_content {font-size: 14px;}
	.our-collections-desc-slider {max-width: 85%;margin-bottom: 0;margin-top: 20px;}
	.our-collections-desc-slider div p {font-size: 22px;margin-bottom:16px;}
	.nav-slider .slick-next {width: 36px;height: auto;aspect-ratio: 1;bottom: 0;top: auto;right: 10px;}
	.nav-slider .slick-next svg {width: 16px;height: auto;}
}


/* Influencer Video Gallery Section Css */
.video-gallery .elementor-widget-video iframe, .video-gallery .elementor-widget-video iframe body, .video-gallery .elementor-widget-video iframe .html5-video-player, .video-gallery .elementor-widget-video video {background-color: transparent !important;}
.video-gallery .elementor-widget-video {border-radius: 10px;overflow: hidden;}
.video-gallery video {border-radius: 10px;}

/* influencer video gallery section in slides on mobile view */
@media (max-width: 767px) {
	.mobile-slide {overflow-x: scroll !important;overflow-y: hidden !important;--flex-wrap: initial !important;}
	.mobile-slide::-webkit-scrollbar {display: none;}
	.mobile-slide .mobile-slide-col {flex: none !important;}
}
